import { PersonalData } from "./PersonalDataTypes";

export const personalData: PersonalData = {
    updatedDate: '2023-05-26',
    name: "David Hrdina Němeček",
    brief: "Software developer. Engineering lead & manager.",

    contacts: [
        {icon: 'browser-firefox', text: 'www.dejvino.cz'},
        {icon: 'envelope-at', text: 'explosive@dejvino.cz'},
        {icon: 'git', text: 'https://git.dejvino.cz'},
        {icon: 'file-earmark-person', text: 'https://cv.dejvino.cz'},
        {icon: 'telephone', text: '+420 775 26 26 32'},
        {icon: 'geo-alt', text: 'Brno, Czechia'}
    ],

    jobs: {
        current: {
            position: 'Senior Software Development Manager (UI Platform)',
            company: 'Oracle|NetSuite',
            timerange: '2022 - present',
            description: `Engineering lead for multiple UI Platform teams. Development of UI frameworks, components and tools.
            Leading a UI testing architecture group, supplemental product owner.`,
            tags: ['TypeScript', 'Preact', 'NodeJs', 'Oracle JET', 'Java', 'Git']
        },
        previous: [
            {
                position: 'Software Development Manager (UI Platform)',
                company: 'Oracle|NetSuite',
                timerange: '2020 - 2022',
                description: 'Engineering lead for a UI Platform team. Development of UI components. Supplementing a product owner when bootstrapping a team.',
                tags: ['TypeScript', 'Preact', 'NodeJs', 'Oracle JET', 'Java', 'Git']
            },
            {
                position: 'Software Development Manager (ERP, Tax)',
                company: 'Oracle|NetSuite',
                timerange: '2017 - 2020',
                description: 'Developer lead for ERP: Tax. Design and implementation of a pluggable Tax calculation engine. Coordination of multiple squads supporting both the legacy and the next-gen systems concurrently.',
                tags: ['Java', 'Oracle SQL', 'JavaScript', 'Perforce', 'Git', 'Software Architecture']
            },
            {
                position: 'Senior Software Engineer (ERP, Tax)',
                company: 'Oracle|NetSuite',
                timerange: '2013 - 2017',
                description: `Development of Tax calculation and reporting modules in a cloud ERP system.
                Large-scale refactoring of legacy code. Introduction of a pluggable architecture.`,
                tags: ['Java', 'Oracle SQL', 'JavaScript', 'Perforce', 'Legacy code refactoring']
            },
            {
                position: 'Software Engineer',
                company: 'Q2 Interactive',
                timerange: '2009 - 2013',
                description: `Development and project leadership of multiple web applications:
                - CRM system (PHP backend server, JavaScript frontend, Android client app),
                - Accounting web app (PHP, JavaScript),
                - e-commerce sites (Magento),
                - Linux server maintenance.`,
                tags: ['PHP', 'Java', 'JavaScript', 'MySQL', 'Server hosting', 'Linux', 'Android', 'Subversion (SVN)']
            }
        ]
    },

    projects: {
        current: {
            position: `Personal projects`,
            description: `Various hardware and software projects. Usually open sourced and published on [projects.dejvino.com](https://projects.dejvino.com) .
            These include video games, utilities, 3D models, devices with embedded microcontrollers etc.`,
            tags: ['Java', 'Python', 'C/C++', 'Embedded Software', 'OpenSCAD', 'TypeScript', 'Linux', 'Open Source', 'Git', 'Self-hosting']
        }
    },

    education: {
        previous: [
            {
                position: `Master's degree, Parallel and Distributed Systems`,
                company: `Faculty of Informatics, Masaryk University Brno`,
                timerange: '2011 - 2013',
                description: `Master's thesis: Efficient computation and visualization of correlations in medical signals.`,
                tags: ['C/C++', 'Supercomputers', 'OpenMPI', 'Python', 'Visualization', 'Data science']
            },
            {
                position: `Bachelor's degree, Parallel and Distributed Systems`,
                company: `Faculty of Informatics, Masaryk University Brno`,
                timerange: '2008 - 2011',
                description: `Bachelor's thesis: Parallel implementation of force-field decompression algorithm.`,
                tags: ['C/C++', 'Supercomputers', 'OpenMPI', 'Data science']
            }
        ]
    },

    skills: {
        primary: ['Java', 'TypeScript', 'JavaScript', 'Linux', 'Engineering Leadership'],
        secondary: ['SQL', 'Kotlin', 'C/C++', 'NodeJs', 'Git', 'Preact', 'Embedded Software'],
        languages: ['Czech (native)', 'English (proficient)', 'German (elementary)'],
        //others: ['Driver\'s license (B)']
    },
    interests: ['Guitars', 'Heavy Metal', 'Mazda MX-5', 'DIY electronics', 'Linux', 'Open source'],
};
