'use client'
import React, { ForwardedRef, ReactNode, RefObject, forwardRef } from 'react';
import Container from 'react-bootstrap/Container';
import AboutBrief from './components/AboutBrief';
import Skills from './components/Skills';
import { Contacts } from './components/Contacts';
import WorkExperience from './components/WorkExperience';
import Education from './components/Education';
import { Col, Row } from 'react-bootstrap';
import Footer from './components/Footer';
import Photo from './components/Photo';
import Projects from './components/Projects';

export default function Home() {
  return (

    <Container className='main-container' fluid='xxl'>
      <Row>
        <Col xs={3} sm={3} lg={2}><Photo /></Col>
        <Col xs={9} sm={9} lg={5}><AboutBrief /></Col>
        <Col xs={12} lg={5}><Contacts /></Col>
      </Row>
      <Row>
        <Col xs={12} xl={7}>
          <Row><WorkExperience /></Row>
          <Row><Projects /></Row>
          <Row><Education /></Row>
        </Col>
        <Col>
          <Skills />
        </Col>
      </Row>
      <Row><Footer /></Row>
    </Container>
  )
}
